/** Copyright (c) 2018 Uber Technologies, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import * as React from 'react';
import type { RouterContextType } from '../types';
type PropsType = {
    children?: React.ReactNode;
};
declare function Routes(props: PropsType, context: RouterContextType): JSX.Element;
declare namespace Routes {
    var contextTypes: {
        history: any;
        router: any;
        onRoute: any;
    };
    var displayName: string;
}
export { Routes };
//# sourceMappingURL=Routes.d.ts.map