/** Copyright (c) 2018 Uber Technologies, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import * as React from 'react';
import type { TTo } from '../types';
type PropsType = {
    to: TTo;
    replace?: boolean;
    code?: number | string;
};
export declare class Navigate extends React.Component<PropsType> {
    static defaultProps: {
        to: string;
        replace: boolean;
        code: number;
    };
    render(): JSX.Element;
    static contextTypes: {
        history: any;
        router: any;
    };
}
export {};
//# sourceMappingURL=Navigate.d.ts.map