/** Copyright (c) 2018 Uber Technologies, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import * as React from 'react';
import type { RouterContextType } from '../types';
type StatusPropsType = {
    children: React.ReactNode;
    code?: string | number;
};
export declare class Status extends React.Component<StatusPropsType> {
    constructor(props: StatusPropsType, context: RouterContextType);
    render(): React.ReactNode;
    static contextTypes: {
        router: any;
    };
}
export declare const NotFound: <TProps extends {
    children: React.ReactNode;
}>(props: TProps) => JSX.Element;
export {};
//# sourceMappingURL=Status.d.ts.map